// MainFrm.h : interface of the CMainFrame class
//


#pragma once

#include "BlocksToolBar.h"
class CViewersDoc;

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CBlocksToolBar	m_wndBlocksToolBar;

	CObList m_olDocList;
public:
	CViewersDoc *m_pDocViewers;
// Generated message map functions
protected:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	DECLARE_MESSAGE_MAP()
public:
	BOOL OnIdle(LONG lCount);

	afx_msg void OnViewBlockstoolbar();
	afx_msg void OnUpdateViewBlockstoolbar(CCmdUI *pCmdUI);
	afx_msg void OnDestroy();
	afx_msg LPARAM OnDataUpdate(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnViewerClosed(WPARAM wParam, LPARAM lParam);

	BOOL DocumentAdd(CDocument *pDoc);
	BOOL DocumentRemove(CDocument *pDoc);
};


